## javax.servlet.jsp.el
Class ELParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.jsp.el.ELException
                  javax.servlet.jsp.el.ELParseException

All Implemented Interfaces:
  Serializable

Deprecated. As of JSP 2.1, replaced by `ELException`

    public class ELParseException

extends ELException

Represents a parsing error encountered while parsing an EL expression.

Since:
  JSP 2.0
See Also:
  Serialized Form

Constructor Summary
`ELParseException()` Deprecated. Creates an ELParseException with no detail message.
`ELParseException(String pMessage)` Deprecated. Creates an ELParseException with the provided detail message.

Method Summary

Methods inherited from class javax.servlet.jsp.el.ELException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ELParseException

    public ELParseException()

  Deprecated.
  Creates an ELParseException with no detail message.

### ELParseException

    public ELParseException(String pMessage)

  Deprecated.
  Creates an ELParseException with the provided detail message.

  Parameters:
    `pMessage` - the detail message

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.